Bug 10117 - Не стартует LVM2 при загрузке системы
: Не стартует LVM2 при загрузке системы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-11 22:45 by
Modified: 2006-12-03 01:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-11 22:45:44
Не стартует LVM2 при загрузке системы. Проявлется если в системе никогда не
стоял LVM1(например устанавливался стразу Compact3.0 и свежее) . В rc.sysinit
зачемто проверяет налчие файла /etc/lvmtab а он не используется. 
Стрка выглядит так:
if [ -e "$VGCHANGE" -a -e "$VGSCAN" -a -s /etc/lvmtab ]; then
Должна выглядить:
if [ -e "$VGCHANGE" -a -e "$VGSCAN" ]; then
------- Comment #1 From 2006-11-06 18:56:15 -------
А что у lvm2 вместо /etc/lvmtab?
------- Comment #2 From 2006-11-06 20:04:38 -------
> А что у lvm2 вместо /etc/lvmtab?
/etc/lvm/
------- Comment #3 From 2006-11-06 20:13:57 -------
Хорошо, как тогда должна выглядеть проверка на сконфигурированность lvm'а?
Имеет ли смысл запускать modprobe/vgscan/vgchange если lvm не сконфигурирован?
------- Comment #4 From 2006-11-06 20:27:17 -------
(In reply to comment #3)
> Хорошо, как тогда должна выглядеть проверка на сконфигурированность lvm'а?
> Имеет ли смысл запускать modprobe/vgscan/vgchange если lvm не сконфигурирован?
> 

имеет. Потому что lvm2 основную конфигурацию хранит в метаданных а не в /etc/.
(там хранится только резервная копия). 
------- Comment #5 From 2006-11-06 21:05:18 -------
Тогда вопрос, как избежать загрузки lvm-mod, если lvm не используется?
------- Comment #6 From 2006-11-06 21:57:22 -------
(In reply to comment #5)
> Тогда вопрос, как избежать загрузки lvm-mod, если lvm не используется?
Вопервых в 2.6 lvm-mod уже нет. Он теперь работает через device mapper тоесть dm-mod
Во вторых если я не ошибаюсь для vgscan никакие модули не нужны он чисто
userspace. поэтому логика должна быть такая:
1. делается vgscan,если он нашел 0 устройств то заьить
2. загружается dm-mod
3. делется vgchange -ay
------- Comment #7 From 2006-11-06 23:46:15 -------
OK, ты можешь это протестировать и повесить сюда патч?
------- Comment #8 From 2006-12-02 04:12:10 -------
Я закоммитил кое-какие изменения, см. 0.9.8.5-alt1-ga31e4bd
------- Comment #9 From 2006-12-03 01:49:26 -------
Fixed in 0.9.8.5-alt1-ga31e4bd, please test.